#ifndef _mcu_com_if__
#define _mcu_com_if__

#include "delay.h" 
#include "stm32f4xx.h"

#ifndef uint8_t
typedef unsigned char uint8_t;
#endif

#ifndef uint16_t
typedef unsigned short uint16_t;
#endif

#ifndef uint32_t
typedef unsigned int uint32_t;
#endif

#define ch395_scs_hign   GPIO_SetBits(GPIOB,GPIO_Pin_12) //(*(uint32_t*)(GPIOB_BASE+0x18))|=(1<<12)
#define ch395_scs_low    GPIO_ResetBits(GPIOB,GPIO_Pin_12) //(*(uint32_t*)(GPIOB_BASE+0x1A))|=(1<<12)


#define ch32_gpio_in_a (*(uint32_t*)(GPIOA_BASE+0x10))
#define ch395_exti_stat (ch32_gpio_in_a&0x0001)

#define SPI2_SR  *(uint32_t*)(0x40003808)
#define SPI2_DR  *(uint32_t*)(0x4000380C)


void ch395_write_cmd( uint8_t mCmd );
void ch395_write_data( uint8_t mData );
uint8_t ch395_read_data( void );
void ch395_SPI_init(void);
void control_gpio_init(void);
void spi_data_write(uint8_t mData);

#endif
